Skip to content

ライブ配信ランキング - 人気商品トップ

概要

TikTokライブ配信の人気商品ランキングデータを取得します。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /live/v1/rank/topProduct

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえデフォルト: 1
pagesizeintegerいいえデフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
category_idintegerいいえ商品カテゴリ(レベル1)
date_infoobjectはい日付情報: 日次、週次、月次

region 範囲: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

orderby オプション値

フィールド必須説明
units_soldいいえ販売数(降順)
gmvいいえ売上(降順)
live_countいいえライブ配信数(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topProduct' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "date_info": {
        #     "type": "day",
        #     "value": "2026-04-01"
        # },
        "date_info": {
            "type": "week",
            "value": "2026-13"
        }
        # ,
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-04"
        # }
    },
     "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

結果の総数

data.list

フィールド説明
productobject商品情報
shopobjectショップ情報
top_livearray[object]トップ販売ライブ配信
units_soldintegerライブ配信販売数
gmvintegerライブ配信売上
usd_gmvintegerライブ配信売上(USD)
currencystring通貨
live_countintegerライブ配信数

data.list:product

フィールド説明
product_idstring商品ID
titlestring商品タイトル
coverstring商品カバーURL
real_pricestring商品価格
currencystring通貨
regionstring国/地域
categoryobject商品カテゴリ

data.list:product:category

フィールド説明
l1objectレベル1カテゴリ
l2objectレベル2カテゴリ
l3objectレベル3カテゴリ

data.list:shop

フィールド説明
seller_idstringショップID
namestringショップ名
regionstring国/地域
avatarstringショップロゴURL

data.list:top_live

フィールド説明
room_idstringライブルームID
titlestringライブ配信タイトル
coverstringライブ配信カバーURL
gmvintegerライブ配信売上
units_soldintegerライブ配信販売数
currencystring通貨
regionstring国/地域

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product": {
          "product_id": "1729707172352594230",
          "title": "BASED Leave-in Conditioner | Instant Hydration & Anti-Frizz | Simple, Effective, BASED.",
          "cover": "https://s.500fd.com/tt_product/413c08135c3f48e480af5dd9aa5f60c2~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
          "region": "US",
          "currency": "USD",
          "real_price": "$17.00",
          "category": {
            "l1": {
              "id": 14,
              "name": "Beauty & Personal Care"
            },
            "l2": {
              "id": 848904,
              "name": "Haircare & Styling"
            },
            "l3": {
              "id": 601469,
              "name": "Shampoo & Conditioner"
            }
          }
        },
        "shop": {
          "seller_id": "7495079418085345590",
          "name": "BASED",
          "avatar": "https://s.500fd.com/tt_shop/c4e48f5ff0b242968e1d6212f3ab93f0~tplv-omjb5zjo8w-resize-png:300:300.png",
          "region": "US"
        },
        "rank_category": {
          "category_id": "14",
          "name": "Beauty & Personal Care"
        },
        "top_live": [
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 14075,
            "units_sold": 563,
            "currency": "USD"
          },
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 13850,
            "units_sold": 554,
            "currency": "USD"
          }
        ],
        "live_units_sold": 2985,
        "live_gmv": 74625,
        "live_usd_gmv": 74625,
        "live_count": 17
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777355755,
  "request_id": "7582c9e8-dc04-101a-5d39-cdd032716713"
}